// (C) 2007-2024 GoodData Corporation
import React from "react";
import { FormattedMessage } from "react-intl";
import { DateFilterButton } from "../DateFilterButton/DateFilterButton.js";
import { DateFilterTextLocalized } from "../DateFilterTextLocalized/DateFilterTextLocalized.js";
import { ShortenedText } from "@gooddata/sdk-ui-kit";
const ALIGN_POINT = [
    { align: "tc bc", offset: { x: 0, y: -2 } },
    { align: "cc tc", offset: { x: 0, y: 10 } },
    { align: "bl tr", offset: { x: -2, y: -8 } },
];
export const DateFilterButtonLocalized = ({ dateFilterOption, dateFormat, isOpen = false, isMobile = true, customFilterName, disabled, customIcon, }) => {
    const title = customFilterName ? (React.createElement(ShortenedText, { tooltipAlignPoints: ALIGN_POINT }, customFilterName)) : (React.createElement(FormattedMessage, { id: "dateFilterDropdown.title" }));
    return (React.createElement(DateFilterButton, { title: title, isOpen: isOpen, isMobile: isMobile, disabled: disabled, customIcon: customIcon, customFilterName: customFilterName },
        React.createElement("span", { className: "s-button-text" },
            React.createElement(DateFilterTextLocalized, { filter: dateFilterOption, dateFormat: dateFormat }))));
};
//# sourceMappingURL=DateFilterButtonLocalized.js.map